# Generated by go2rpm 1
%bcond_with check

# https://github.com/go-kit/kit
%global goipath         github.com/go-kit/kit
Version:                0.10.0

%gometa

%global common_description %{expand:
A standard library for microservices.}

%global golicenses      LICENSE LICENSE-term
%global godocs          CONTRIBUTING.md README.md README-auth-jwt.md\\\
                        README-auth-basic.md README-util.md\\\
                        README-kitgen.md README-metrics.md README-log.md\\\
                        README-tracing.md README-zipkin.md\\\
                        README-netrpc.md README-grpc.md\\\
                        README-thrift.md README-jsonrpc.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        Library for microservices

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang-opencensus-devel
BuildRequires:  golang(github.com/casbin/casbin/v2)
BuildRequires:  golang(github.com/openzipkin-contrib/zipkin-go-opentracing)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/opentracing/opentracing-go)
BuildRequires:  golang(github.com/apache/thrift/lib/go/thrift)
BuildRequires:  golang(github.com/lightstep/lightstep-tracer-go)
BuildRequires:  golang(github.com/influxdata/influxdb1-client/v2)
BuildRequires:  golang(github.com/oklog/oklog/pkg/group)
BuildRequires:  golang(github.com/davecgh/go-spew/spew)
BuildRequires:  golang(github.com/dgrijalva/jwt-go)
BuildRequires:  golang(github.com/go-logfmt/logfmt)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/gorilla/mux)
BuildRequires:  golang(github.com/VividCortex/gohistogram)
BuildRequires:  golang(golang.org/x/tools/godoc/vfs/mapfs)
BuildRequires:  golang(golang.org/x/sync/errgroup)
BuildRequires:  golang(golang.org/x/time/rate)
BuildRequires:  golang(golang.org/x/tools/imports)
BuildRequires:  golang(github.com/samuel/go-zookeeper/zk)
BuildRequires:  golang(github.com/streadway/handy/breaker)
BuildRequires:  golang(github.com/hashicorp/consul/api)
BuildRequires:  golang(github.com/nats-io/nats.go)
BuildRequires:  golang(github.com/hudl/fargo)
BuildRequires:  golang(github.com/aws/aws-sdk-go-v2/aws)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws)
BuildRequires:  golang(github.com/performancecopilot/speed)
BuildRequires:  golang(github.com/openzipkin/zipkin-go)
BuildRequires:  golang(go.etcd.io/etcd/client)
BuildRequires:  golang(github.com/streadway/amqp)
BuildRequires:  golang(github.com/pborman/uuid)
BuildRequires:  golang(github.com/sony/gobreaker)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/afex/hystrix-go/hystrix)
BuildRequires:  golang(go.opencensus.io/trace)
BuildRequires:  golang(go.uber.org/zap)
BuildRequires:  golang(sourcegraph.com/sourcegraph/appdash)
BuildRequires:  golang(google.golang.org/grpc)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/aryann/difflib)
BuildRequires:  golang(github.com/aws/aws-lambda-go/events)
BuildRequires:  golang(github.com/casbin/casbin)
BuildRequires:  golang(github.com/pact-foundation/pact-go/dsl)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
mv %{_builddir}/kit-%{version}/log/term/LICENSE LICENSE-term
mv %{_builddir}/kit-%{version}/auth/jwt/README.md README-auth-jwt.md
mv %{_builddir}/kit-%{version}/auth/basic/README.md README-auth-basic.md
mv %{_builddir}/kit-%{version}/util/README.md README-util.md
mv %{_builddir}/kit-%{version}/cmd/kitgen/README.md README-kitgen.md
mv %{_builddir}/kit-%{version}/metrics/README.md README-metrics.md
mv %{_builddir}/kit-%{version}/log/README.md README-log.md
mv %{_builddir}/kit-%{version}/tracing/README.md README-tracing.md
mv %{_builddir}/kit-%{version}/tracing/zipkin/README.md README-zipkin.md
mv %{_builddir}/kit-%{version}/transport/netrpc/README.md README-netrpc.md
mv %{_builddir}/kit-%{version}/transport/grpc/README.md README-grpc.md
mv %{_builddir}/kit-%{version}/transport/thrift/README.md README-thrift.md
mv %{_builddir}/kit-%{version}/transport/http/jsonrpc/README.md README-jsonrpc.md

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE LICENSE-term
%doc CONTRIBUTING.md README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Apr 06 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.10.0-1
- Initial package

